From: [email-masked] (Rino J. Rotta)
Date: Tue, 28 Jun 1994 19:47:04 -0400 (EDT)

Hello all.  I have returned to touch the egos of queernet's faithful
subscribers.  The responses to my weekly posting have been incredible, I
seriously want to thank everyone who has responded because you have really
made me feel important.  I love all of you!
	This week I wanted to share a new experience.  This song helped me
come out of the closet even though it is not really gay oriented.  It is a
song from a Disney musical/movie that came out a few years ago entitled
"Newsies".  Some may have seen it (it didn't do exceptionally well), but I
loved it!  The name of the song is "Sante Fe".  It is sung by a strong
willed orphan who is tired of living an impossible life on the streets of
New York in 1885.  His dream is to move to Sante Fe....

SANTE FE

So thats what they call a family
Mother daughter father son
Guess that everything you heard about is true
So you ain't got any family
Well who said you needed one
Ain't ya glad nobody's waitin' up
For you

When I dream 
On my own
I'm alone but I ain't lonely
For a dreamer night's the only time of day
When the city's finally sleepin'
And my thoughts begin to stray
And I'm on the train thats bound for 
Sante Fe

And I'm free
Like the wind
Like I'm gonna live forever
It's a feeling time could never take away
All I needs a few more dollars
And I'm outa here to stay
Dreams come true
Yes they do
In Sante Fe

Where does it say you gotta live and die here?
Where does it say a guy can't catch a break?
Why should you only take what your given?
Why should you spend your whole life livin...
Trapped where there ain't no future
Even at 17
Breaking your back for someone else's sake
If the life don't seem to suit ya
How bout a change of scene?
Far from the lousey headlines and the deadlines
In between

Sante Fe
Are you there?
Do you swear you won't forget me?
If I found you would you let me come and stay?
I ain't getting any younger
And before my dyin' day
I want space
Not just air
Let'em laugh in my face I don't care
Save a place
I'll be there

So thats what they call a family
Ain't you glad you aint that way
Ain'tcha glad you gotta dream called
Sante Fe

The boy needed a focus in his life, a reason to move on, to survive.  I
think everybody needs a Sante Fe in thier life no matter how big or small.
I realized mine was coming out.  And I did proudly!  Find your niche in
life and go for it!  Everyone needs a little Sante Fe.  
	By the way the music was written by Alan Menken and the Lyrics by
Jack Feldman.  Jack Feldman was the apprentice to family member and
historic Disney lyricist Howard Ashman who died of AIDS.  Please keep the
responses coming, I answer all of them. :)

			Warm Fuzzies and Hakuna Matata,
				Rino J. Rotta